ExportDetails¶
- class oci.log_analytics.models.ExportDetails(**kwargs)¶
Bases:
objectInput arguments for running a query synchronosly and streaming the results as soon as they become available.
Attributes:
A constant which can be used with the output_format property of a ExportDetails.
A constant which can be used with the output_format property of a ExportDetails.
A constant which can be used with the output_format property of a ExportDetails.
A constant which can be used with the sub_system property of a ExportDetails.
[Required] Gets the compartment_id of this ExportDetails.
Gets the compartment_id_in_subtree of this ExportDetails.
Gets the max_total_count of this ExportDetails.
Gets the output_format of this ExportDetails.
[Required] Gets the query_string of this ExportDetails.
Gets the query_timeout_in_seconds of this ExportDetails.
Gets the scope_filters of this ExportDetails.
Gets the should_include_columns of this ExportDetails.
Gets the should_localize of this ExportDetails.
Gets the should_use_acceleration of this ExportDetails.
[Required] Gets the sub_system of this ExportDetails.
Gets the time_filter of this ExportDetails.
Methods:
__init__(**kwargs)Initializes a new ExportDetails object with values from keyword arguments.
- OUTPUT_FORMAT_CSV = 'CSV'¶
A constant which can be used with the output_format property of a ExportDetails. This constant has a value of “CSV”
- OUTPUT_FORMAT_JSON = 'JSON'¶
A constant which can be used with the output_format property of a ExportDetails. This constant has a value of “JSON”
- OUTPUT_FORMAT_PARQUET = 'PARQUET'¶
A constant which can be used with the output_format property of a ExportDetails. This constant has a value of “PARQUET”
- SUB_SYSTEM_LOG = 'LOG'¶
A constant which can be used with the sub_system property of a ExportDetails. This constant has a value of “LOG”
- __init__(**kwargs)¶
Initializes a new ExportDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
compartment_id (str) – The value to assign to the compartment_id property of this ExportDetails.
compartment_id_in_subtree (bool) – The value to assign to the compartment_id_in_subtree property of this ExportDetails.
query_string (str) – The value to assign to the query_string property of this ExportDetails.
sub_system (str) – The value to assign to the sub_system property of this ExportDetails. Allowed values for this property are: “LOG”
scope_filters (list[oci.log_analytics.models.ScopeFilter]) – The value to assign to the scope_filters property of this ExportDetails.
max_total_count (int) – The value to assign to the max_total_count property of this ExportDetails.
time_filter (oci.log_analytics.models.TimeRange) – The value to assign to the time_filter property of this ExportDetails.
query_timeout_in_seconds (int) – The value to assign to the query_timeout_in_seconds property of this ExportDetails.
should_include_columns (bool) – The value to assign to the should_include_columns property of this ExportDetails.
output_format (str) – The value to assign to the output_format property of this ExportDetails. Allowed values for this property are: “CSV”, “JSON”, “PARQUET”
should_localize (bool) – The value to assign to the should_localize property of this ExportDetails.
should_use_acceleration (bool) – The value to assign to the should_use_acceleration property of this ExportDetails.
- property compartment_id¶
[Required] Gets the compartment_id of this ExportDetails. Compartment Identifier OCID].
- Returns
The compartment_id of this ExportDetails.
- Return type
str
- property compartment_id_in_subtree¶
Gets the compartment_id_in_subtree of this ExportDetails. Flag to search all child compartments of the compartment Id specified in the compartmentId query parameter.
- Returns
The compartment_id_in_subtree of this ExportDetails.
- Return type
bool
- property max_total_count¶
Gets the max_total_count of this ExportDetails. Maximum number of results retrieved from data source is determined by the specific query used and the maxTotalCount input field. If the export results can be streamed, the maximum will be 1,000,000. If the results cannot be streamed, the maximum limit is 500 for queries that include the link command and 10,000 for the queries that do not include the link command.
Queries that include certain commands such as head, tail or stats cannot be streamed and are subject to a maximum of 10,000 results. Queries that include the sort command cannot be streamed unless the sort fields are restricted to id and/or time. The maximum number of results retrieved is the lesser of the maxTotalCount input provided and the applicable limit described above.
- Returns
The max_total_count of this ExportDetails.
- Return type
int
- property output_format¶
Gets the output_format of this ExportDetails. Specifies the format for the returned results.
Allowed values for this property are: “CSV”, “JSON”, “PARQUET”
- Returns
The output_format of this ExportDetails.
- Return type
str
- property query_string¶
[Required] Gets the query_string of this ExportDetails. Query to perform.
- Returns
The query_string of this ExportDetails.
- Return type
str
- property query_timeout_in_seconds¶
Gets the query_timeout_in_seconds of this ExportDetails. Amount of time, in seconds, allowed for a query to execute. If this time expires before the query is complete, any partial results will be returned.
- Returns
The query_timeout_in_seconds of this ExportDetails.
- Return type
int
- property scope_filters¶
Gets the scope_filters of this ExportDetails. List of filters to be applied when the query executes. More than one filter per field is not permitted.
- Returns
The scope_filters of this ExportDetails.
- Return type
- property should_include_columns¶
Gets the should_include_columns of this ExportDetails. Include columns in response
- Returns
The should_include_columns of this ExportDetails.
- Return type
bool
- property should_localize¶
Gets the should_localize of this ExportDetails. Localize results, including header columns, List-Of-Values and timestamp values.
- Returns
The should_localize of this ExportDetails.
- Return type
bool
- property should_use_acceleration¶
Gets the should_use_acceleration of this ExportDetails. Controls if query should ignore pre-calculated results if available and only use raw data.
- Returns
The should_use_acceleration of this ExportDetails.
- Return type
bool
- property sub_system¶
[Required] Gets the sub_system of this ExportDetails. Default subsystem to qualify fields with in the queryString if not specified.
Allowed values for this property are: “LOG”
- Returns
The sub_system of this ExportDetails.
- Return type
str
- property time_filter¶
Gets the time_filter of this ExportDetails.
- Returns
The time_filter of this ExportDetails.
- Return type